import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const guildGetStewardsService = createAsyncThunk(
  "GUILD_GET_GUILDS_SERVICE",
  async (id, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      "guilds/?other_guilds_for_steward=true/",
      {
        params: { role: getRoleFromUrl() },
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
